EMF::EMRPOLYLINE16(3)

NAME
EMF::EMRPOLYLINE16 - EMF Polyline16.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRPOLYLINE16.

  Public Member Functions

EMRPOLYLINE16 (const RECTL *bounds, const POINT16 *points, INT n)
EMRPOLYLINE16 (const RECTL *bounds, const POINT *points, INT n)
~EMRPOLYLINE16 ()
EMRPOLYLINE16 (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Polyline16.

Draw a series of connected lines using 16-bit points.

Constructor & Destructor Documentation

  EMF::EMRPOLYLINE16::EMRPOLYLINE16 (const RECTL * bounds, const POINT16 * points, INT n) [inline]

Parameters:
    bounds overall bounding box of polyline.
    points array of polyline vertices.
    n number of vertices in points.

  EMF::EMRPOLYLINE16::EMRPOLYLINE16 (const RECTL * bounds, const POINT * points, INT n) [inline]
Constructor with POINTs.

Parameters:
    bounds overall bounding box of polyline.
    points array of polyline vertices.
    n number of vertices in points.

  EMF::EMRPOLYLINE16::~EMRPOLYLINE16 () [inline]
Destructor frees a copy of the points it buffered.

  EMF::EMRPOLYLINE16::EMRPOLYLINE16 (DATASTREAM & ds) [inline]
Construct a Polyline record from the input stream.

Parameters:
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRPOLYLINE16::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters:
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRPOLYLINE16::serialize (DATASTREAM ds) [inline], [virtual]

Parameters:
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRPOLYLINE16::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.